API Reference

Update Context Source

This endpoint allows you to update either the name of the context source, its description, or both. If you need to update file or text contents, that can be done by updating a file context source version or by updating a text context source version.

You can also use this endpoint to add a context source to a project or remove a context source from a project.

Endpoint
PATCH https://api.zatomic.ai/v1/context/sources/{contextSourceId}

// Example
PATCH https://api.zatomic.ai/v1/context/sources/cts_2qRzu8geIvfudcJTwP0pur4TbMJ

Endpoint Request

Request Properties
name
string, optional
Name of the context source.
description
string, optional
Description of the context source.
project_id
string, optional
The ID of the project that contains the context source. Set to empty string ("") to remove the context source from its current project.
Request Body
{
   "name": "Context source name",
   "description": "Context source description.",
   "project_id": "prj_32hbc9w4iVeyUZ1iRvjZYUrvS73"
}

Endpoint Response

A successful call returns a response that contains the updated context source object.

HTTP Status Codes
200 OK The context source was updated.
404 Not Found The context source didn't exist.
500 Internal Server Error Something went wrong on Zatomic's end.